Skip to main content
GET
/
base
/
{baseId}
/
app
/
{appId}
/
deploy
/
status
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/app/%7BappId%7D/deploy/status \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "status": "idle",
  "version": 123,
  "publicUrl": "<string>",
  "error": "<string>",
  "startTime": 123,
  "endTime": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required

Base ID

appId
string
required

App ID

Response

200 - application/json

Deployment status

status
enum<string>
required

Deployment status

Available options:
idle,
deploying,
success,
failed
version
number

App version

publicUrl
string

Public URL

error
string

Error message if failed

startTime
number

Deployment start timestamp

endTime
number

Deployment end timestamp

Last modified on March 5, 2026